Bug 144916 - Soft Edges in Impress Images cause rendering errors in Slide view
Summary: Soft Edges in Impress Images cause rendering errors in Slide view
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.2.1.2 release
Hardware: All All
: medium minor
Assignee: Mike Kaganski
URL:
Whiteboard: target:7.5.0 target:7.4.0.2 target:7.3.6
Keywords:
Depends on:
Blocks: Impress-Images
  Show dependency treegraph
 
Reported: 2021-10-04 12:33 UTC by Rafael Lima
Modified: 2022-07-27 08:18 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Video capture showing the bug (5.04 MB, image/gif)
2021-10-04 12:33 UTC, Rafael Lima
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rafael Lima 2021-10-04 12:33:34 UTC
Created attachment 175501 [details]
Video capture showing the bug

The new feature soft edges has some rendering issues when the image overlaps with a text box (see attached video capture).

Steps to reproduce:
1) Insert an image into a slide
2) Apply the Soft Edges effect to the image
3) Position the image where it overlaps with the main text box
4) Enter some text in the text box
5) When you click outside the text box, notice a rendering issue in the image

This happens only in the slide view. During presentation view all is ok. Also, if you go up one slide and then back down, the rendering issue disappears... but it'll reappear as soon as you type anything in the text box and then leave it.

I tested on 7.3 alpha, but it also happens on 7.2.1.2.

System info:
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: c92a29fd6ef341a1657f90759d20e4f052b45843
CPU threads: 16; OS: Linux 5.11; UI render: default; VCL: kf5 (cairo+xcb)
Locale: pt-BR (pt_BR.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-09-26_16:13:32
Calc: threaded
Comment 1 Henrik Palomäki 2021-10-04 17:40:08 UTC
Repro with KDE in
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: fc44168ebe840fa2e772f034232fed15460e4977
CPU threads: 1; OS: Linux 5.10; UI render: default; VCL: kf5 (cairo+xcb)
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-10-04_00:52:15
Calc: threaded

but no repro in
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: fc44168ebe840fa2e772f034232fed15460e4977
CPU threads: 4; OS: Linux 5.10; UI render: default; VCL: gtk3
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2021-10-04_00:52:15
Calc: threaded
Comment 2 Buovjaga 2021-10-06 08:55:01 UTC
Repro also with gen backend and Windows

Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 7cd5b35caa8d4fa9d0ba2b2c6ce4b88726ed2be6
CPU threads: 2; OS: Windows 10.0 Build 19042; UI render: Skia/Raster; VCL: win
Locale: fi-FI (fi_FI); UI: en-US
Calc: threaded

Arch Linux 64-bit
Version: 7.3.0.0.alpha0+ / LibreOffice Community
Build ID: 2d9eddbb23625aad7a9accedbf69209a04169f00
CPU threads: 8; OS: Linux 5.14; UI render: default; VCL: x11
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 5 October 2021
Comment 3 Mike Kaganski 2022-07-21 12:09:18 UTC
https://gerrit.libreoffice.org/c/core/+/137296
Comment 4 Rafael Lima 2022-07-21 14:36:29 UTC
(In reply to Mike Kaganski from comment #3)
> https://gerrit.libreoffice.org/c/core/+/137296

Cherry-picked the patch and the reported problem no longer happens.

Thanks for taking on this issue.
Comment 5 Commit Notification 2022-07-21 18:05:40 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/8c15835762f2b16e7c8f5acd2d52f562c7dec9a4

tdf#144916: expand range to avoid unwanted effects on viewport edges

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2022-07-26 15:48:02 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/a05e47d1679103cc3eb4a54258410fbfaf1e497c

tdf#144916: expand range to avoid unwanted effects on viewport edges

It will be available in 7.4.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2022-07-27 08:18:24 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/74a68224007efb0780c3c17a9099d1a48a577c08

tdf#144916: expand range to avoid unwanted effects on viewport edges

It will be available in 7.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.